Package javax.validation.constraints

# Annotation Interface DecimalMax

@Target({METHOD,FIELD,ANNOTATION_TYPE,CONSTRUCTOR,PARAMETER}) @Retention(RUNTIME) @Documented @Constraint(validatedBy={}) public @interface DecimalMax
Verify that the annotated element has a number which is lower or equal than the given value or is `null`. Note that float and double are not portably supported due to possible rounding error problems. `DecimalMax` accepts a String whereas accepts a long.

Version:
  $Rev$ $Date$

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static @interface`
`DecimalMax.List`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<?>[]`
`groups`
`boolean`
`inclusive`
`String`
`message`
`Class<? extends Payload>[]`
`payload`

## Element Details

### message

String message

Default:
  `"{javax.validation.constraints.DecimalMax.message}"`

### groups

Class<?>[] groups

Default:
  `{}`

### payload

Class<? extends Payload>[] payload

Default:
  `{}`

### value

String value

### inclusive

boolean inclusive

Since:
  1.1

Default:
  `true`